Subject: Re: bug#48940: 27.2; regression: "emacs --script /dev/stdin" parses the script incorrectly when /dev/stdin is a pipe

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 12 Nov 2021 04:26:55 +0100

"Bryan C. Mills" <[email-masked]> writes:

> I did post the complete output: the pipeline `cat script.el | emacs
> --no-init-file --no-site-file --script /dev/stdin` did not produce any
> output whatsoever for my reproducer. (Nothing to stdout, nothing to
> stderr.)

Ah, I see.

I tracked down what's causing this new problem and fixed that, and after
doing that, I can confirm that your patch fixes the problem with
/dev/stdin-as-a-pipe, so I've pushed it to Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no